Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
analyses
/
{analysis_id}
/
metrics
/
target_audience
/
segments
Complete Audience Segment Profiles
curl --request GET \
  --url https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/analyses/{analysis_id}/metrics/target_audience/segments \
  --header 'Authorization: <api-key>'
[
  {
    "brand": "Nike",
    "collection_date": "2024-10-24",
    "name": "Young Urban Professionals",
    "age_range": "25-34",
    "gender": "all",
    "area_type": "urban",
    "household_type": "single",
    "cost_tolerance": "medium",
    "challenges": [
      "time shortage",
      "brand confusion",
      "budget limit"
    ],
    "decision_making": [
      "price",
      "sustainability",
      "peer opinion"
    ],
    "purchase_influences": [
      "ads",
      "social media",
      "reviews"
    ],
    "media_channels": [
      "instagram",
      "youtube",
      "tiktok"
    ],
    "sources": [
      "source_1",
      "source_2"
    ],
    "google_ads_segments": [
      {
        "category_id": "80429",
        "segment_name": "/Apparel & Accessories/Activewear",
        "display": "YES",
        "gmail": "YES",
        "discovery": "YES",
        "search": "YES",
        "shopping": "NO",
        "video": "YES",
        "generated_description": "People interested in activewear"
      }
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

analysis_id
string<uuid>
required

A UUID string identifying the analysis.

organization_id
string<uuid>
required

A UUID string identifying the organization.

workspace_id
string<uuid>
required

A UUID string identifying the workspace.

Query Parameters

brand
string
required

Filter by one specific brand.

collection_date
string<date>

Filter by a collection date being equal to the specified date. YYYY-MM-DD format

collection_date__gt
string<date>

Filter by a collection date being greater than the specified date. YYYY-MM-DD format

collection_date__gte
string<date>

Filter by a collection date being greater than or equal the specified date. YYYY-MM-DD format

collection_date__lt
string<date>

Filter by a collection date being less than the specified date. YYYY-MM-DD format

collection_date__lte
string<date>

Filter by a collection date being less than or equal the specified date. YYYY-MM-DD format

format
enum<string>
Available options:
csv,
json
source
enum<string>

Filter by one specific source.

Available options:
claude-3-5-sonnet,
claude-4-5-sonnet,
claude-4-6-sonnet,
claude-4-sonnet,
deepseek-chat,
deepseek-reasoner,
gemini-1.5-pro,
gemini-2.0-flash,
gemini-2.5-flash,
gemini-2.5-flash-grounded,
gemini-2.5-flash-lite,
gemini-3-flash-preview,
google-ai-mode,
gpt-3.5-turbo,
gpt-4-turbo,
gpt-4o,
gpt-4o-mini-search,
gpt-5,
gpt-5.2,
gpt-5.4-mini,
meta-llama-3.1-70B-instruct-turbo,
meta-llama-3.2-70B-instruct-turbo,
meta-llama-3.3-70B-instruct-turbo,
meta-llama-4-maverick,
mistral-7B-instruct,
perplexity-sonar,
rufus
source__in
enum<string>

Filter by a list of sources. Values should be comma separated, without brackets or spaces

Available options:
claude-3-5-sonnet,
claude-4-5-sonnet,
claude-4-6-sonnet,
claude-4-sonnet,
deepseek-chat,
deepseek-reasoner,
gemini-1.5-pro,
gemini-2.0-flash,
gemini-2.5-flash,
gemini-2.5-flash-grounded,
gemini-2.5-flash-lite,
gemini-3-flash-preview,
google-ai-mode,
gpt-3.5-turbo,
gpt-4-turbo,
gpt-4o,
gpt-4o-mini-search,
gpt-5,
gpt-5.2,
gpt-5.4-mini,
meta-llama-3.1-70B-instruct-turbo,
meta-llama-3.2-70B-instruct-turbo,
meta-llama-3.3-70B-instruct-turbo,
meta-llama-4-maverick,
mistral-7B-instruct,
perplexity-sonar,
rufus

Response

brand
string
collection_date
string
name
string
age_range
string
gender
string
area_type
string
household_type
string
cost_tolerance
string
challenges
array
decision_making
array
purchase_influences
array
media_channels
array
sources
array
google_ads_segments
array